Summary:	Command line tool that displays bandwidth usage on an interface
Name:		iftop
Version:	0.17
Release:	6%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://www.ex-parrot.com/~pdw/%{name}/
Source:		http://www.ex-parrot.com/~pdw/%{name}/download/%{name}-%{version}.tar.gz
Patch0:		iftop-0.17-bandwidth.patch
Patch1:		iftop-0.17-man-typos.patch
BuildRequires:	ncurses-devel, %{_includedir}/pcap.h
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
iftop does for network usage what top(1) does for CPU usage. It listens to
network traffic on a named interface and displays a table of current bandwidth
usage by pairs of hosts. Handy for answering the question "why is our ADSL link
so slow?".

%prep
%setup -q
%patch0 -p1 -b .bandwidth
%patch1 -p1 -b .man-typos

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*

%changelog
* Tue Aug 28 2007 Robert Scheck <robert@fedoraproject.org> 0.17-6
- Buildrequire %%{_includedir}/pcap.h instead of conditionals
- Patch to display top scale in bytes when measuring in bytes

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.17-5
- fix license tag
- rebuild for BuildID

* Wed Nov 29 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.17-4
- rebuild

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.17-3
- rebuild

* Thu Jun 15 2006 Aurelien Bompard <gauret[AT]free.fr> 0.17-2
- buildrequire libpcap-devel from FC6 on

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.17-1
- version 0.17

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.16-7
- rebuild for fc5

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 0.16-6
- rebuild for libpcap

* Sat Oct 22 2005 Aurelien Bompard <gauret[AT]free.fr> 0.16-5
- rebuild and add disttag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jun 04 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.16-0.fdr.3
- use make install

* Thu Jun 03 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.16-0.fdr.2
- remove useless BuildRequires: texinfo

* Sat May 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.16-0.fdr.1
- Initial RPM release.
